

    StartupEvents.registry('palladium:abilities', (event) => {
        event.create('heroes:geo_stats_ability')
            .icon(palladium.createItemIcon('palladium:vibranium_circuit'))

		.lastTick((entity, entry, holder, enabled) => {
				if (enabled) {
					let uuid_1 = "13d253c5-364c-4157-a297-fc1f2fb84642"
					let uuid_2 = "23d253c5-364c-4157-a297-fc1f2fb84642"
					let uuid_3 = "33d253c5-364c-4157-a297-fc1f2fb84642"
					let uuid_4 = "43d253c5-364c-4157-a297-fc1f2fb84642"
					
					
					
					let username = entity.getGameProfile().getName();
					let username_true = username.toLowerCase();
					
					
					entity.removeAttribute("minecraft:generic.armor", uuid_1)
					entity.removeAttribute("minecraft:generic.armor_toughness", uuid_1)
					entity.removeAttribute("minecraft:generic.armor", uuid_2)
					entity.removeAttribute("palladium:punch_damage", uuid_2)
					entity.removeAttribute("minecraft:generic.armor", uuid_3)
					entity.removeAttribute("minecraft:generic.knockback_resistance", uuid_3)
					entity.removeAttribute("minecraft:generic.armor", uuid_4)
					entity.removeAttribute("palladium:fall_resistance", uuid_4)
					}
					})
					
            .tick((entity, entry, holder, enabled) => {
                if (enabled) {
					if (entity.isPlayer()) {
					let uuid_1 = "13d253c5-364c-4157-a297-fc1f2fb84642"
					let uuid_2 = "23d253c5-364c-4157-a297-fc1f2fb84642"
					let uuid_3 = "33d253c5-364c-4157-a297-fc1f2fb84642"
					let uuid_4 = "43d253c5-364c-4157-a297-fc1f2fb84642"
					
                    let username = entity.getGameProfile().getName();
					let username_true = username.toLowerCase();
                    let scoreboard = Utils.server.scoreboard;
                    let scoreboard_obj = scoreboard.getObjective("Heroes.Geo_Armor.Helmet");
                    let score = scoreboard.getOrCreatePlayerScore(username, scoreboard_obj);
                    let value = score.getScore();
					
					let scoreboard_obj_1 = scoreboard.getObjective("Heroes.Geo_Armor.Gauntlets");
                    let score_1 = scoreboard.getOrCreatePlayerScore(username, scoreboard_obj_1);
                    let value_1 = score_1.getScore();
					
					let scoreboard_obj_2 = scoreboard.getObjective("Heroes.Geo_Armor.Chest");
                    let score_2 = scoreboard.getOrCreatePlayerScore(username, scoreboard_obj_2);
                    let value_2 = score_2.getScore();
					
					let scoreboard_obj_3 = scoreboard.getObjective("Heroes.Geo_Armor.Boots");
                    let score_3 = scoreboard.getOrCreatePlayerScore(username, scoreboard_obj_3);
                    let value_3 = score_3.getScore();
					
					
					let helmet_score = parseFloat(global['geo_cost_' + value])
					let gauntlet_score = parseFloat(global['geo_cost_' + value_1])
					let chest_score = parseFloat(global['geo_cost_' + value_2])
					let boot_score = parseFloat(global['geo_cost_' + value_3])
					// Helmet 0.2
					// Gauntlets 0.1
					// Chest 0.5
					// Boots 0.2
					
					entity.removeAttribute("minecraft:generic.armor", uuid_1)
					entity.removeAttribute("minecraft:generic.armor_toughness", uuid_1)
					entity.removeAttribute("minecraft:generic.armor", uuid_2)
					entity.removeAttribute("palladium:punch_damage", uuid_2)
					entity.removeAttribute("minecraft:generic.armor", uuid_3)
					entity.removeAttribute("minecraft:generic.knockback_resistance", uuid_3)
					entity.removeAttribute("minecraft:generic.armor", uuid_4)
					entity.removeAttribute("palladium:fall_resistance", uuid_4)
					
					if (abilityUtil.isEnabled(entity, 'heroes:geokinetic_armor', 'Geo_Helmet_Anim')) {
					entity.modifyAttribute("minecraft:generic.armor", uuid_1, (helmet_score * 0.2), "addition")
					entity.modifyAttribute("minecraft:generic.armor_toughness", uuid_1, (helmet_score * 0.1), "addition")
					}
					
					if (abilityUtil.isEnabled(entity, 'heroes:geokinetic_armor', 'Geo_Gauntlets_Anim')) {
					entity.modifyAttribute("minecraft:generic.armor", uuid_2, (gauntlet_score * 0.2), "addition")
					entity.modifyAttribute("palladium:punch_damage", uuid_2, (gauntlet_score * 0.25), "addition")
					}
					
					if (abilityUtil.isEnabled(entity, 'heroes:geokinetic_armor', 'Geo_Chestplate_Anim')) {
					entity.modifyAttribute("minecraft:generic.armor", uuid_3, (chest_score * 0.4), "addition")
					entity.modifyAttribute("minecraft:generic.knockback_resistance", uuid_3, (chest_score * 0.2), "addition")
					}
					
					if (abilityUtil.isEnabled(entity, 'heroes:geokinetic_armor', 'Geo_Boots_Anim')) {
					entity.modifyAttribute("minecraft:generic.armor", uuid_4, (boot_score * 0.2), "addition")
					entity.modifyAttribute("palladium:fall_resistance", uuid_4, (boot_score * 0.05), "addition")
					}
					}
				}
            });
    });